petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionCompare

Compares two sections

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionCompare(PetscSection s1, PetscSection s2, PetscBool *congruent)

Collective on PetscSection

### Input Parameterss

| s1 | - the first PetscSection
| s2 | - the second PetscSection

### Output Parameter

congruent -PETSC_TRUE if the two sections are congruent, PETSC_FALSE otherwise

### Notes

Field names are disregarded.

### See Also

PetscSection, PetscSectionCreate(), PetscSectionCopy(), PetscSectionClone()

### Level

developer

### Location

src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages